Create Loyalty Customer

Purpose

Deliverect will call this endpoint to create a customer in the loyalty provider's platform.

Payload

Customer AttributesTypeRequiredDescription
firstNamestringNoFirst name of the customer.
lastNamestringNoLast name of the customer.
emailstringYes if used as unique identifierThe customer's email.
phoneNumberstringYes if used as unique identifierThe customer's phone email. Must be sent in E.164 international standard.
dateOfBirthstringNoThe provided date must be in ISO 8601 format. Example: 2025-05-22T22:55:59+12:00.
accountIdstringYesThe merchant's account ID in Deliverect
loyaltyProfileIdstringYesThe Id of the profile where the response configuration was stored
locationIdstringNoThe location ID related to the merchant's account in Deliverect
channelLinkIdstringNoThe channel link ID related to the location of the merchant's account in Deliverect

Response

⚠️

If the customer already exists on your platform, the endpoint should return a 409 status code.

Customer AttributesTypeRequiredDescription
firstNamestringNoFirst name of the customer.
lastNamestringNoLast name of the customer.
emailstringYes if used as unique identifierThe customer's email.
phoneNumberstringYes if used as unique identifierThe customer's phone email. Must be sent in E.164 international standard.
dateOfBirthstringNoThe provided date must be in ISO 8601 UTC format. Example: 2025-05-22T22:55:59+00:00.
acceptedTCAtstringNoThe date and time when the customer accepted the terms and conditions. Must be in ISO 8601 UTC format. Example: 2025-05-22T22:55:59+00:00.
balanceintegerNoThe point balance of the customer.
tierObjectNoSee tier object description bellow.
Tier AttributesTypeRequiredDescription
namestringYesThe name of the Tier
descriptionstringNoA description for the Tier
mediaObjectNoSee media object description bellow.
Media attributesTypeRequiredDescription
urlstringYesA video or image URL that can be displayed along the tier information.
typestringYesValid options:
  • image
  • video

Body Params
string
required

email of the end customer

string

phone number of the end customer in E164 format.

string

first name of the end customer

string

last name of the end customer

date

date of birth of the end customer in ISO format

string

The deliverect customer account id

string

The Id of the profile where the response configuration was stored

string

The location ID related to the merchant's account in Deliverect

string

The channel link ID related to the location of the merchant's account in Deliverect

Headers
string
Defaults to Deliverect/{version}
string
Defaults to {signature}
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json